define("epi-changeapproval/widget/DateTimeNowEditor", [
    "dojo/_base/declare",
    "dojo/query",
    "dojo/dom-style",
    "epi-cms/contentediting/DateTimeNowEditor"
], function (declare, query, domStyle, DateTimeNowEditor) {

    return declare([DateTimeNowEditor], {
        // summary:
        //      DateTimeNowEditor that can be readOnly
        // tags:
        //      internal

        _setReadOnlyAttr: function (value) {
            this.dateTimeSelector.set("readOnly", value);
            this._expireNowLink = query(this.dateTimeSelector.domNode).next()[0];
            this._expireNowLink && domStyle.set(this._expireNowLink, "display", value ? "none" : "");
        }
    });
});
